import {Command} from 'ckeditor5/src/core';

export default class DivManagerCommand extends Command {
  execute({title, content, langcode, className, rawStyles}) {

      const docFrag = this.editor.model.change( writer => {
          const divContent = writer.createElement( 'divContent', {
            class: className, lang: langcode,  style: rawStyles, title: title });
          const docFrag = writer.createDocumentFragment();

          writer.append( divContent, docFrag );
          writer.insertText( content, divContent );

          return docFrag;
      } );

      this.editor.model.insertContent( docFrag );
    }

    refresh() {
        const model = this.editor.model;
        const selection = model.document.selection;

        // @todo Need to add the command will enabled when an attribute can be set on the current model selection.
        this.isEnabled = true;
    }

}
